ArtRage 5 Product PageArtRage Lite Product PageArtRage for iPad Product PageArtRage for Android Product PageArtRage  Android Oil Painter Free Product PageArtRage  Free Demos Page

Results 1 to 7 of 7

Thread: Running ArtRage2 Supplied With Wacom Bamboo Under Linux

  1. #1

    Running ArtRage2 Supplied With Wacom Bamboo Under Linux

    Hi,

    I've recently bought a Wacom Bamboo One and have successfully gotten it working under Linux (Ubuntu 7.10). The tablet came with a copy of ArtRage2 (2.2 I think). I've followed the various instructions on these forums to install wine and then use that to install ArtRage2. The installation goes great. However, when I start it up, I get a pop-up message "This application will only run on a Wacom tablet."

    Any clues as to how I can enlighten the program to the fact that I AM running using a Wacom tablet?

    A 'cat' of /proc/bus/input/devices produces:

    I: Bus=0003 Vendor=056a Product=0069 Version=0200
    N: Name="Wacom Bamboo1"
    P: Phys=
    S: Sysfs=/class/input/input6
    U: Uniq=
    H: Handlers=mouse2 event6
    B: EV=f
    B: KEY=1c43 0 70000 0 0 0 0 0 0 0 0
    B: REL=100
    B: ABS=100 3000003
    Thanks for any pointers,

    Graham.

    P. S. I have downloaded the 2.5 version from this website and installed that too (and gdiplus.dll). That gives the window-pop-up as soon as I click in the box to try and enter my registration code. Ho hum.

  2. #2
    Join Date
    Mar 2006
    Location
    Ambient Design
    Posts
    3,502
    I'm afraid I don't know about installations under Wine/Linux, but I'd normally recommend making sure you have the latest Wacom driver installed ( if you don't already ) for a Windows installation in order to make sure the tablet is correctly recognised. Otherwise, hopefully one of the other Linux users on the forums may have some ideas.
    Dave
    Resident Bug-Hunter
    Ambient Design

  3. #3
    Err, thanks for the tip ;-)

    Sadly, Wacom don't support Linux (as Ambient Design don't, either) so the official Wacom drivers have not come anywhere near my machine.

    The "problem" is that ArtRage2 is checking for the presence of the Wacom hardware (or official drivers) in such a way that Wine and/or the open-source Linux Wacom driver is not emulating. You probably don't want to get into a technical discussion about how to get around that ...

    Does this mean that all of the Linux+Wacom users of ArtRage2 on these forums have bought the non-Wacom-locked package ?!

    In addition to any copy that was bundled with the hardware !?

    Or have I missed something obvious ?

    Graham.

  4. #4
    Join Date
    Mar 2006
    Location
    New Zealand
    Posts
    3,137
    At the moment the only way to run the Wacom Edition is with the Wacom Drivers. We're making some changes in the upcoming update that should help with problems like this however.
    Matt
    ArtRage UI
    Ambient Design.

  5. #5
    Thanks a lot for the heads-up. I'll play about with the demo-version until the next full version comes out.

  6. #6
    Join Date
    Oct 2008
    Location
    Trikala Greece
    Posts
    2
    I to have the same problem with the bamboo's artrage edition.
    I bought it one week ago. Unfortunately i wasnt aware of
    the problem in running it in linux..

    chomwitt

  7. #7
    Join Date
    Mar 2006
    Location
    Ambient Design
    Posts
    3,502
    I would recommend making sure that you have the latest version from www.artrage.com/artrageinstaller.html

    The latest version of ArtRage, both with a Wacom tablet and our own, does not perform the tablet check, and has the same features. So if the tablet message is a problem, downloading and installing the latest version will remove this error message.

    For information on running ArtRage under Linux via Wine from other users, see this thread: http://www2.ambientdesign.com/forums...hread.php?t=86
    Dave
    Resident Bug-Hunter
    Ambient Design

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •